<?php 
session_start();
if (isset($_REQUEST['id'])){
		/* Connect To Database*/
		require_once ("../../config/db.php");
		require_once ("../../config/conexion.php");
		
		//Inicia Control de Permisos
		include("../../config/permisos.php");
		$user_id = $_SESSION['user_id'];
		get_cadena($user_id);
		$modulo="Proveedores";
		permisos($modulo,$cadena_permisos);
		//Finaliza Control de Permisos
		
		$id=$_REQUEST["id"];
		$id=intval($id);
		if ($permisos_eliminar==1){//Si cuenta por los permisos bien
			$query_validate=mysqli_query($con,"select customer_id from sales where customer_id='".$id."'");
			$count=mysqli_num_rows($query_validate);
			if ($count==0){
				if($delete=mysqli_query($con, "DELETE FROM suppliers WHERE id='$id'") and $delete2=mysqli_query($con,"DELETE FROM contacts_supplier WHERE supplier_id='$id' ")){
					$messages[]="<b>Bien hecho!</b> Datos eliminados satisfactoriamente.";
					
				}
				else{
					$errors[]="Error al eliminar los datos ".mysqli_error($con);
					
				}
			} else{
				$errors[]="Error al eliminar los datos. El proveedor se encuentra vinculado con el modulo de compras.";
				
			}
			
		} else {//No cuenta con los permisos
			$errors[]="No cuentas con los permisos necesario para acceder a este módulo";
			
		}
		
		
		if (isset($errors)){
			
			?>
			<div class="alert alert-danger" role="alert">
				<button type="button" class="close" data-dismiss="alert">&times;</button>
					<strong>Error!</strong> 
					<?php
						foreach ($errors as $error) {
								echo $error;
							}
						?>
			</div>
			<?php
			}
			if (isset($messages)){
				
				?>
				<div class="alert alert-success" role="alert">
						<button type="button" class="close" data-dismiss="alert">&times;</button>
						<strong>¡Bien hecho!</strong>
						<?php
							foreach ($messages as $message) {
									echo $message;
								}
							?>
				</div>
				<?php
			}
	}
?>